import { Controller } from "@hotwired/stimulus";
const _Confirmation = class _Confirmation extends Controller {
  check() {
    const disabled = this.inputTargets.some((input) => input.type === "checkbox" ? input.checked === !1 : input.dataset.confirmationContent !== input.value);
    this.itemTargets.forEach((target) => {
      target.disabled = disabled;
    });
  }
  inputTargetConnected() {
    this.check();
  }
  inputTargetDisconnected() {
    this.check();
  }
};
_Confirmation.targets = ["input", "item"];
let Confirmation = _Confirmation;
export {
  Confirmation as default
};
